#!/bin/bash

# Cleanup function for locally generated nanoshaper files
cleanup(){
  rm exposedIndices.txt exposed.xyz generated.conf nano.out stderror.txt
}

# Iterate through all small molecule pqr files, in the order specified by the "molecule_name_list" in 173_SM_PQRS/, writing associated hydration energies to "173_sm_hydration_energies"
for sm_pqr in $(cat 173_SM_PQRS/molecule_name_list); do
  1>&2 echo "Calculating hydration energy for ${sm_pqr}"
  ../build/aasc 173_SM_PQRS/${sm_pqr} 80 1 --solvation_energy | sed -n -e 's/^.*Solvation Energy is : //p'
done > 173_sm_hydration_energies
1>&2 echo "See calculated hydration energies in 173_sm_hydration_energies"

cleanup
